=== debian/control ===
Source: kgraphviewer
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <trigger+debian@space-based.de>
Build-Depends: debhelper (>= 7.4.13), cmake, kdelibs5-dev (>= 4:4.4.0),
 libboost1.42-dev, kdepimlibs5-dev (>= 4:4.4.0), libphonon-dev,
 libgraphviz-dev, pkg-kde-tools (>= 0.5.3)
Standards-Version: 3.8.4
Homepage: http://extragear.kde.org/apps/kgraphviewer/

Package: kgraphviewer
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}, graphviz
Description: a GraphViz dot graph viewer for KDE 4
 KGraphViewer is a GraphViz dot graph viewer for KDE 4. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.
