=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,28 @@
 add_subdirectory( part )
 
-include_directories( part printing ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )
+include_directories( part ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )
 
 
 ########### kgraphviewer target ###############
 
 set(kgraphviewer_SRCS main.cpp kgraphviewer.cpp kgraphviewerConfigDialog.cpp)
 
-qt4_add_dbus_adaptor(kgraphviewer_SRCS org.kde.kgraphviewer.xml kgraphviewer.h KGraphViewer)
+qt4_add_dbus_adaptor(kgraphviewer_SRCS org.kde.kgraphviewer.xml kgraphviewer.h KGraphViewerWindow)
 
 kde4_add_kcfg_files( kgraphviewer_SRCS kgraphviewersettings.kcfgc )
 
-kde4_add_ui_files( kgraphviewer_SRCS preferencesReload.ui preferencesParsing.ui preferencesOpenInExistingWindow.ui preferencesReopenPreviouslyOpenedFiles.ui )
+kde4_add_ui_files(
+  kgraphviewer_SRCS
+  preferencesReload.ui
+  preferencesParsing.ui
+  preferencesOpenInExistingWindow.ui
+  preferencesReopenPreviouslyOpenedFiles.ui
+  preferencesAppearance.ui
+)
 
 kde4_add_executable(kgraphviewer ${kgraphviewer_SRCS})
 
-target_link_libraries(kgraphviewer  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS}  gvc graph pathplan cdt)
+target_link_libraries(kgraphviewer  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS})
 
 install( TARGETS kgraphviewer ${INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -36,11 +43,11 @@
 
 kde4_add_kcfg_files( kgrapheditor_SRCS kgrapheditorsettings.kcfgc )
 
-kde4_add_ui_files( kgrapheditor_SRCS preferencesReload.ui preferencesOpenInExistingWindow.ui preferencesReopenPreviouslyOpenedFiles.ui )
+kde4_add_ui_files( kgrapheditor_SRCS preferencesReload.ui preferencesParsing.ui preferencesOpenInExistingWindow.ui preferencesReopenPreviouslyOpenedFiles.ui )
 
 kde4_add_executable(kgrapheditor ${kgrapheditor_SRCS})
 
-target_link_libraries(kgrapheditor  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS})
+target_link_libraries(kgrapheditor  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS} kgraphviewerlib)
 
 install( TARGETS kgrapheditor ${INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -51,3 +58,6 @@
 install( FILES kgrapheditor.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
 
 
+
+#add_subdirectory(plasmaapplet)
+
