=== debian/changelog ===
kgraphviewer (4:2.1.1-0ubuntu2) quantal; urgency=low

  * Build with boost1.49

 -- Scott Kitterman <scott@kitterman.com>  Tue, 29 May 2012 09:53:15 -0400

kgraphviewer (4:2.1.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Remove debian/patches/doctype_version.patch (incorporated upstream)
  * Build with boost1.46
  * Update debian/rules to match current KDE package best practices

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Aug 2011 18:04:53 -0400
