=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <trigger+debian@space-based.de>
 Build-Depends: debhelper (>= 7.4.13), cmake, kdelibs5-dev (>= 4:4.4.0),
- libboost1.42-dev, kdepimlibs5-dev (>= 4:4.4.0), libphonon-dev,
- libgraphviz-dev, pkg-kde-tools (>= 0.5.3)
+ libboost1.49-dev, kdepimlibs5-dev (>= 4:4.4.0), libphonon-dev,
+ libgraphviz-dev, pkg-kde-tools (>= 0.14)
 Standards-Version: 3.8.4
 Homepage: http://extragear.kde.org/apps/kgraphviewer/
