=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 add_subdirectory( part )
 
-include_directories( part ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )
+include_directories( part ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${graphviz_INCLUDE_DIRECTORIES} )
 
 
 ########### kgraphviewer target ###############
@@ -22,7 +22,7 @@
 
 kde4_add_executable(kgraphviewer ${kgraphviewer_SRCS})
 
-target_link_libraries(kgraphviewer  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS})
+target_link_libraries(kgraphviewer ${KDE4_KPARTS_LIBS})
 
 install( TARGETS kgraphviewer ${INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -32,7 +32,7 @@
 
 install( FILES kgraphviewersettings.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
 install( FILES kgraphviewerui.rc DESTINATION ${DATA_INSTALL_DIR}/kgraphviewer )
-install( FILES kgraphviewer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
+install( PROGRAMS kgraphviewer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
 
 
 ########### kgrapheditor target ###############
@@ -47,7 +47,7 @@
 
 kde4_add_executable(kgrapheditor ${kgrapheditor_SRCS})
 
-target_link_libraries(kgrapheditor  ${QT_AND_KDECORE_LIBS} ${KDE4_KHTML_LIBS} kgraphviewerlib)
+target_link_libraries(kgrapheditor ${KDE4_KPARTS_LIBS})
 
 install( TARGETS kgrapheditor ${INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -55,8 +55,8 @@
 
 install( FILES kgrapheditorsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
 install( FILES kgrapheditorui.rc DESTINATION ${DATA_INSTALL_DIR}/kgrapheditor )
-install( FILES kgrapheditor.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
-
+install( PROGRAMS kgrapheditor.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
+install( FILES kgraphviewer.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/ )
 
 
 #add_subdirectory(plasmaapplet)
