=== debian/changelog ===
kgraphviewer (4:2.1.90-0ubuntu2) wily; urgency=medium

  * Change build dependency libboost1.55-dev to libboost-dev to facilitate
    gcc5 transition.

 -- Harald Sitter <sitter@kde.org>  Fri, 14 Aug 2015 15:35:52 +0200

kgraphviewer (4:2.1.90-0ubuntu1) utopic; urgency=medium

  * New upstream release 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 26 Jun 2014 06:06:04 -0700
