=== debian/control ===
Source: kgraphviewer
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Armin Berres <trigger+debian@space-based.de>
Build-Depends: cmake,
               debhelper,
               kdelibs5-dev,
               kdepimlibs5-dev,
               libboost-dev,
               libgraphviz-dev,
               libphonon-dev,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: http://extragear.kde.org/apps/kgraphviewer/

Package: kgraphviewer-dev
Architecture: any
Section: devel
Depends: kgraphviewer (= ${binary:Version}), ${shlibs:Depends}
Description: GraphViz dot graph viewer - devel files
 KGraphViewer is a GraphViz dot graph viewer. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

Package: kgraphviewer
Architecture: any
Section: utils
Depends: graphviz, ${misc:Depends}, ${shlibs:Depends}
Description: GraphViz dot graph viewer
 KGraphViewer is a GraphViz dot graph viewer. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

Package: libkgraphviewer2
Architecture: any
Section: libs
Depends: kgraphviewer (= ${binary:Version}), ${shlibs:Depends}
Description: GraphViz dot graph viewer - libs
 KGraphViewer is a GraphViz dot graph viewer for. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

Package: kgraphviewer-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kgraphviewer (= ${binary:Version}), ${misc:Depends}
Description: GraphViz dot graph viewer for KDE 4 debug files
 KGraphViewer is a GraphViz dot graph viewer for KDE 4. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.
