## kgraphviewer 25.04.0

=== debian/changelog ===
kgraphviewer (4:25.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the upstream GPG signing key to the same used in other
    release-service components.
  * CI: update/simplify configuration.
  * Update debian/copyright.
  * ACK 4:25.03.90-1.1 NMU. (Closes: #1102640)

 -- Pino Toscano <pino@debian.org>  Sat, 26 Apr 2025 08:38:11 +0200

kgraphviewer (4:25.03.90-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 14:18:37 +0300

kgraphviewer (4:25.03.90-1) unstable; urgency=medium

  [ Simon Quigley ]
  * New upstream release (Closes: #675033) (LP: #1757695).
  * Transition to using a dbgsym package.
  * Make myself the only Uploader and make the Debian KDE Extras team
    the Maintainer (Closes: #675033).
  * Add hardening rules and build with kf5 in debian/rules.
  * Bump debhelper compat to 11, no changes needed.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Update homepage to the current one.
  * Add watch file and upstream signing key.
  * Rename libkgraphviewer2 to libkgraphviewer3.
  * Add qtbase5-dev as a runtime dependency of kgraphviewer-dev.

  [ Pino Toscano ]
  * Improve libkgraphviewer3.install to catch potential SONAME bumps.
  * Stop appending -Wall -pedantic to the CFLAGS, since there are no C sources,
    and they are used already.
  * Simplify watch file, and switch it to https.
  * Explicitly add the pkgconf build dependency.
  * Remove unused ${shlibs:Depends} substvar from kgraphviewer-dev.
  * Make sure the ${misc:Depends} substvar is used in all the binaries.
  * Improve the dependencies:
    - remove the kgraphviewer dependency in libkgraphviewer3, since it is the
      other way round (i.e. kgraphviewer uses the library)
    - tighten the libkgraphviewer3 dependency in kgraphviewer
  * Make sure that the watch file can catch versions with a-z characters too
    (needed for 2.4.3a).
  * Remove the libkf5kio-dev build dependency, no more required by the upstream
    build system.
  * Bump Standards-version to 4.7.0, no changes required.
  * Remove dbgsym migration, since the -dbg package was never in Debian.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Add the configuration for the CI on salsa.

  [ Aurélien COUDERC ]
  * Move the package under the main Qt/KDE team’s umbrella now that it’s
    part of KDE Gear.
  * Update watch file to match new download location as part of Gear
    releases.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.
  * New upstream release (25.03.90).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Use upstream soname libkgraphviewer0, update the list of installed
    files.
  * Switch to declarative KF6 debhelper build sequence.
  * Split documentation into it’s own -doc package.
  * Review copyright information.
  * Bump Standards-Version to 4.7.2, no change required.
  * Add myself to the uploaders.
  * Simplify package descriptions.
  * Add lintian overrides for old FSF license text having the old FSF
    address.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Apr 2025 22:54:33 +0200

kgraphviewer (4:2.1.90-0ubuntu3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:57 +0000
