=== debian/control ===
Source: kgraphviewer
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Simon Quigley <tsimonq2@ubuntu.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libboost-dev (>= 1.36~),
               libgraphviz-dev,
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Homepage: https://www.kde.org/applications/graphics/kgraphviewer/
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgraphviewer.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgraphviewer
Rules-Requires-Root: no

Package: kgraphviewer-dev
Architecture: any
Section: devel
Depends: kgraphviewer (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
Description: GraphViz dot graph viewer - devel files
 KGraphViewer is a tool to display graphviz .dot graphs.
 .
 It is more generally a KPart able to display any graph data that
 graphviz can handle.
 .
 This package contains the development files for KGraphViewer.

Package: kgraphviewer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Description: GraphViz dot graph viewer - user documentation
 KGraphViewer is a tool to display graphviz .dot graphs.
 .
 It is more generally a KPart able to display any graph data that
 graphviz can handle.
 .
 This package contains the user documentation for KGraphViewer.

Package: kgraphviewer
Architecture: any
Depends: graphviz,
         libkgraphviewer0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kgraphviewer-doc,
Description: GraphViz dot graph viewer
 KGraphViewer is a tool to display graphviz .dot graphs.
 .
 It is more generally a KPart able to display any graph data that
 graphviz can handle.

Package: libkgraphviewer0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: GraphViz dot graph viewer - shared library
 KGraphViewer is a tool to display graphviz .dot graphs.
 .
 It is more generally a KPart able to display any graph data that
 graphviz can handle.
 .
 This package contains the shared library for KGraphViewer.
