## kgraphviewer 25.08.1+p24.04+vstable+git20250922.1025

=== debian/changelog ===
kgraphviewer (4:25.08.1+p24.04+vstable+git20250922.1025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 10:25:02 +0000

kgraphviewer (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 08:58:42 +0000

kgraphviewer (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:33:43 +0000

kgraphviewer (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:15:00 +0000

kgraphviewer (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:33:20 +0000

kgraphviewer (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:21:30 +0000

kgraphviewer (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:07:16 +0000

kgraphviewer (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:33:56 +0000

kgraphviewer (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:43:14 +0000

kgraphviewer (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:33:19 +0000

kgraphviewer (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:30:46 +0000

kgraphviewer (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:31:36 +0000

kgraphviewer (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:04:01 +0000

kgraphviewer (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:41:55 +0000

kgraphviewer (4:24.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 May 2024 17:11:06 +0000

kgraphviewer (4:2.4.3-0neon) xenial; urgency=medium

  [ Simon Quigley ]
  * New upstream release (LP: #1757695).
  * Transition to using a dbgsym package.
  * Make myself the only Uploader and make the Debian KDE Extras team
    the Maintainer (Closes: #675033).
  * Add hardening rules and build with kf5 in debian/rules.
  * Bump debhelper compat to 11, no changes needed.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Update homepage to the current one.
  * Add watch file and upstream signing key.
  * Rename libkgraphviewer2 to libkgraphviewer3.
  * Add qtbase5-dev as a runtime dependency of kgraphviewer-dev.

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Sep 2018 12:18:47 +0000
