## kgraphviewer 25.08.1+p24.04+vstable+git20251002.0436

=== debian/changelog ===
kgraphviewer (4:25.08.1+p24.04+vstable+git20251002.0436-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:36:54 +0000
