=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kgraphviewer
 Section: utils
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                libboost-dev (>= 1.36~),
                libgraphviz-dev,
@@ -21,14 +22,16 @@
                qt6-svg-dev (>= 6.5.0~),
 Homepage: https://www.kde.org/applications/graphics/kgraphviewer/
 Standards-Version: 4.7.2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgraphviewer.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgraphviewer
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgraphviewer
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgraphviewer
 Rules-Requires-Root: no
 
 Package: kgraphviewer-dev
 Architecture: any
 Section: devel
-Depends: kgraphviewer (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
+Depends: kgraphviewer (= ${binary:Version}),
+         qt6-base-dev,
+         ${misc:Depends},
 Description: GraphViz dot graph viewer - devel files
  KGraphViewer is a tool to display graphviz .dot graphs.
  .
