## kgraphviewer 25.08.2+p24.04+vstable+git20251015.1441

=== debian/changelog ===
kgraphviewer (4:25.08.2+p24.04+vstable+git20251015.1441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:41:44 +0000

kgraphviewer (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:45:59 +0000
