## kgraphviewer 25.08.2+p24.04+vstable+git20251019.0347

=== debian/changelog ===
kgraphviewer (4:25.08.2+p24.04+vstable+git20251019.0347-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:47:13 +0000
