## kgraphviewer 25.08.2+p24.04+vunstable+git20251010.0712

=== debian/changelog ===
kgraphviewer (4:25.08.2+p24.04+vunstable+git20251010.0712-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 07:13:00 +0000
