## kgraphviewer 25.08.2+p24.04+vunstable+git20251015.0737

=== debian/changelog ===
kgraphviewer (4:25.08.2+p24.04+vunstable+git20251015.0737-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:37:36 +0000
